Zum Hauptinhalt springen
Document Operations

Update document

<small>Requires an API token with the Document Manager role.</small>

PUT
/documents/{document}

Update a document's name, its signing settings and/or its document type.

Authorizationstringheadererforderlich

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

documentstringerforderlich

The document UUID

Body

application/json
document_type_uuidstring | null

UUID of the document type to assign to the document. Pass null to remove the current document type. Use the List document types endpoint to discover the document type UUIDs available in your account

Beispiel: 58ac52bb-8885-4580-88c1-7a7bc772c87d
external_signatory_invitation_messagestring | null

Optional text to display in the email notification sent to users when the document is ready for signing

Maximum string length: 65535
namestring

Must be a non-empty string.

Maximum string length: 255
Beispiel: Kundenvertrag Muster GmbH
sequential_signingboolean

When true, signatories will sign in ascending order of their signing_order. Cannot be changed if signing has started

signature_typeenum<string>

Controls which signature type will be used during signing. Cannot be changed if signing has started or if the value is inherited from a template

Verfügbare Optionen: aes, aes_eid, qes, ses

Antwort

application/json

DocumentDetailResource

dataobjecterforderlich